/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: GenerateDialog.h,v 2.1 1999/10/16 01:43:37 jeff Exp $

*******************************************************************************/


#ifndef GenerateDialog_included
#define GenerateDialog_included

#include <qchkbox.h>
#include <qdialog.h>
#include <qstring.h>
#include <qlabel.h>
#include <qgrpbox.h>
#include <qlined.h>

class GenerateDialog : public QDialog
{
    Q_OBJECT
    
public:

    GenerateDialog
    (
	const QString&	fileName,
	const QString&	dlgClassName,
	const QString&	classHeader,
	const QString&	classSource,
	const QString&	dataHeader,
	const QString&	dataSource,
	QWidget*	parent = NULL,
	const char*	name = NULL
    );

    bool GenerateSource( QString &, QString & );
    bool GenerateData( QString &, QString & );

private slots: // Methods
    void GetSourceNames( bool );
    void GetDataNames( bool );

    void EndDialog();
    
private: // Attributes
    QCheckBox	itsSourceCheckbox;
    QGroupBox itsSourceGB;
    QLabel    itsClassHeaderLabel, itsClassSourceLabel;
    QLineEdit itsClassHeaderEdit, itsClassSourceEdit;

    QCheckBox	itsDataCheckbox;
    QGroupBox itsDataGB;
    QLabel    itsDataHeaderLabel, itsDataSourceLabel;
    QLineEdit itsDataHeaderEdit, itsDataSourceEdit;
    
    QString itsClassHeader, itsClassSource;
    // Names for the source files

    QString itsDataHeader, itsDataSource;
    // Names for the data files
};

#endif // GenerateDialog_included
