/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: WidgetFrame.h,v 2.1 1999/10/16 01:44:24 jeff Exp $

*******************************************************************************/


#ifndef WidgetFrame_h
#define WidgetFrame_h

#include <qframe.h>
#include <qlayout.h>
#include <qpopmenu.h>

class WidgetLayout;

class WidgetFrame : public QFrame
{
    Q_OBJECT

public: //Methods

    WidgetFrame
    ( 	
	QWidget*		parent = NULL,
	const char*		name = NULL
    );

    virtual ~WidgetFrame();

    void SetGrid( int );

    int GetGrid( ) const;

protected: // Methods

    virtual void paintEvent( QPaintEvent * );

private: // Attributes
    
    int actGrid;
    // The grid of the Layouter

};


inline int WidgetFrame::GetGrid() const
{
    return actGrid;
}


#endif


