/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: PixmapFactory.h,v 2.1 1999/10/16 01:44:37 jeff Exp $

*******************************************************************************/


#ifndef PixmapFactory_included
#define PixmapFactory_included

#include "bmp/bitmaps.h"

#include <qintdict.h>
#include <qpixmap.h>

class PixmapFactory
{
public: // methods

    ~PixmapFactory();
    // Destructor

    static const QPixmap& GetPixmap( BitmapType	theBitmapType );
    // Return a pixmap for the specified bitmap type

private: // methods

    static void GetBitmapData( BitmapType		theBitmapType,
			       unsigned int&		theBitmapLength,
			       const unsigned char*&	theBitmapData );
    // Retrieve the length and the data for the bitmap specified by
    // theBitmapType.  NOTE: This method is regenerated automatically
    // by qembed.cpp.  Its implementation is in bitmap.cpp

private: // attribtues

    static QIntDict<QPixmap>	myPixmapDict;
    // The dictionary of pixmaps which have already been retrieved by
    // GetPixmap.
};

#endif // PixmapFactory_included
