/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: LayoutItemPropPage.h,v 2.2 1999/10/16 01:45:19 jeff Exp $

*******************************************************************************/


#ifndef LayoutItemPropPage_included
#define LayoutItemPropPage_included

#include <qwidget.h>

class LayoutItemPropPage : public QWidget
{
    Q_OBJECT

public:

    LayoutItemPropPage( QWidget*	parent,
			const char*	name = NULL,
			WFlags		flags = 0 );
    
    virtual ~LayoutItemPropPage();

    virtual bool Apply() = 0;
    // Apply changes to its internal layout.  Return TRUE if any changes were
    // made.

protected:

    void SetLayoutItemType();

protected slots:

    virtual void comboBoxChanged(int);
    virtual void buttonGroupChanged(int);
    virtual void lineEditChanged(const QString&);

protected:

    bool	myChangedFlag;
    
};

#endif // LayoutItemPropPage_included
