/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: NoLayout.cpp,v 2.5 2000/04/29 20:15:48 klaus Exp $

*******************************************************************************/


#include "layout/NoLayout.h"
#include "xml/QtArchGenerator.h"
#include "layout/LayoutHelper.h"

#define Inherited LayoutItem

NoLayout::NoLayout(
    LayoutItem*	theParent
    )
    :
    Inherited( LayoutItem::LI_NoLayout, theParent, GetTreeLabel() )
{
}


NoLayout::NoLayout(
    QListView*	theParent
    )
    :
    Inherited( LayoutItem::LI_NoLayout, theParent, GetTreeLabel() )
{
}


NoLayout::~NoLayout()
{
}


LayoutItemPropPage* NoLayout::GetPropertyPage( 
    QWidget* /*theParent*/,
    bool	/*isTopLevel*/,
    const WidgetLayout&	/*theWidgetLayout*/ )
{
    return 0;
}


void NoLayout::SaveContents( QtArchGenerator & ) const
{
    // No layout, so nothing to save.
}


bool NoLayout::RestoreKeyValue( const QString&		/*theKey*/,
				const QString&		/*theValue*/,
				const DlgWidget*	/*theDlgWidget*/ )
{
    // No parameters to restore.
    return FALSE;
}

void NoLayout::Restore( const XMLValue &value, LayoutHelper */*helper*/ )
{
  // Sanity check
  if( value.GetTypeString() != Type2String() )
    return;

  //XMLValueMap map = value.AsNested();
  
}

QString NoLayout::GetTreeLabel()
{
    static QString treeLabel = QObject::tr( "No Layout" );
    return treeLabel;
}
