/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KSelectorPropPage.cpp,v 2.1 1999/10/16 01:47:16 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KSelectorPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKSelector.h"
#include "KSelectorPropPage.h"

#define Inherited KSelectorPropPageData

KSelectorPropPage::KSelectorPropPage
(
    DlgKSelector* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    const KSelector* selector = widget->GetKSelector();
    
    switch( widget->GetOrientation() )
    {
	case KSelector::Horizontal:
	{
	    isHorizontal->setChecked( TRUE );
	    break;
	}
	case KSelector::Vertical:
	{
	    isVertical->setChecked( TRUE );
	    break;
	}
    }
    
    isIndent->setChecked( selector->indent() );
    
    QString str;
    
    myInitialValue->setText( str.setNum( selector->value() ) );
    myMinValue->setText( str.setNum( selector->minValue() ) );
    myMaxValue->setText( str.setNum( selector->maxValue() ) );
    myLineStep->setText( str.setNum( selector->lineStep() ) );
    myPageStep->setText( str.setNum( selector->pageStep() ) );
}


KSelectorPropPage::~KSelectorPropPage()
{
}


void KSelectorPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKSelector* widget = static_cast<DlgKSelector*>(theWidget);
    KSelector* selector = widget->GetKSelector();
    
    KSelector::Orientation orientation = KSelector::Horizontal;
    if( isHorizontal->isChecked() )
    {
	orientation = KSelector::Horizontal;
    }
    else if( isVertical->isChecked() )
    {
	orientation = KSelector::Vertical;
    }
    widget->SetOrientation( orientation );
    
    selector->setIndent( isIndent->isChecked() );
    
    QString str1, str2;
    
    str1 = myInitialValue->text();
    selector->setValue( str1.toInt() );
    
    str1 = myMinValue->text();
    str2 = myMaxValue->text();
    selector->setRange( str1.toInt(), str2.toInt() );
    
    str1 = myLineStep->text();
    str2 = myPageStep->text();
    selector->setSteps( str1.toInt(), str2.toInt() );
}


