/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KTabListBoxPropPage.cpp,v 2.1 1999/10/16 01:47:26 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KTabListBoxPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKTabListBox.h"
#include "KTabListBoxPropPage.h"

#define Inherited KTabListBoxPropPageData

KTabListBoxPropPage::KTabListBoxPropPage
(
    DlgKTabListBox* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{	
    KTabListBox* listBox = widget->GetKTabListBox();
    
    myNumColumns->setValue( listBox->numCols() );
    myNumRows->setValue( listBox->numRows() );
    
    isAutoUpdate->setChecked( listBox->autoUpdate() );
    
    int tableFlags = listBox->tableFlags();

    isVScrollBar->setChecked( tableFlags & Tbl_vScrollBar );
    isHScrollBar->setChecked( tableFlags & Tbl_hScrollBar );
    isAutoVScrollBar->setChecked( tableFlags & Tbl_autoVScrollBar );
    isAutoHScrollBar->setChecked( tableFlags & Tbl_autoHScrollBar );
    
    isClipCellPainting->setChecked( tableFlags & Tbl_clipCellPainting );
    isCutCellsV->setChecked( tableFlags & Tbl_cutCellsV );
    isCutCellsH->setChecked( tableFlags & Tbl_cutCellsH );
    
    isScrollLastHCell->setChecked( tableFlags & Tbl_scrollLastHCell );
    isScrollLastVCell->setChecked( tableFlags & Tbl_scrollLastVCell );
    
    isSmoothHScrolling->setChecked( tableFlags & Tbl_smoothHScrolling );
    isSmoothVScrolling->setChecked( tableFlags & Tbl_smoothVScrolling );
    
    isSnapToHGrid->setChecked( tableFlags & Tbl_snapToHGrid );
    isSnapToVGrid->setChecked( tableFlags & Tbl_snapToVGrid );
}


KTabListBoxPropPage::~KTabListBoxPropPage()
{
}


void KTabListBoxPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKTabListBox* widget = static_cast<DlgKTabListBox*>(theWidget);	
    KTabListBox* listBox = widget->GetKTabListBox();
    
    listBox->setNumCols( myNumColumns->value() );
    listBox->setNumRows( myNumRows->value() );
    
    listBox->setAutoUpdate( isAutoUpdate->isChecked() );
    
    int tableFlags = 0;

    if( isVScrollBar->isChecked() ) tableFlags |= Tbl_vScrollBar;
    if( isHScrollBar->isChecked() ) tableFlags |= Tbl_hScrollBar;
    if( isAutoVScrollBar->isChecked() ) tableFlags |= Tbl_autoVScrollBar;
    if( isAutoHScrollBar->isChecked() ) tableFlags |= Tbl_autoHScrollBar;

    if( isClipCellPainting->isChecked() ) tableFlags |= Tbl_clipCellPainting;
    if( isCutCellsV->isChecked() ) tableFlags |= Tbl_cutCellsV;
    if( isCutCellsH->isChecked() ) tableFlags |= Tbl_cutCellsH;

    if( isScrollLastHCell->isChecked() ) tableFlags |= Tbl_scrollLastHCell;
    if( isScrollLastVCell->isChecked() ) tableFlags |= Tbl_scrollLastVCell;

    if( isSmoothHScrolling->isChecked() ) tableFlags |= Tbl_smoothHScrolling;
    if( isSmoothVScrolling->isChecked() ) tableFlags |= Tbl_smoothVScrolling;

    if( isSnapToHGrid->isChecked() ) tableFlags |= Tbl_snapToHGrid;
    if( isSnapToVGrid->isChecked() ) tableFlags |= Tbl_snapToVGrid;
    
}


