/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ButtonGroupPage.cpp,v 2.2 2000/04/30 17:09:38 jeff Exp $

*******************************************************************************/


#include <qbttngrp.h>

#include "ButtonGroupPage.h"

#include "widget/DlgWidget.h"

#define Inherited ButtonGroupPageData

ButtonGroupPage::ButtonGroupPage
(
    DlgWidget* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    QButtonGroup* group = (QButtonGroup*)widget->GetWidget();
    
    itsTitle->setText( group->title() );
    
    switch( group->alignment() & (AlignLeft | AlignRight | AlignHCenter) )
    {
	case AlignLeft:
	default:
	{
	    isTitleLeft->setChecked( TRUE );
	    break;
	}
	case AlignHCenter:
	{
	    isTitleCenter->setChecked( TRUE );
	    break;
	}
	case AlignRight:
	{
	    isTitleRight->setChecked( TRUE );
	    break;
	}
    }

    isExclusive->setChecked( group->isExclusive() );
    isRadioButtonExclusive->setChecked( group->isRadioButtonExclusive() );
}


ButtonGroupPage::~ButtonGroupPage()
{
}


void ButtonGroupPage::Apply( DlgWidget*	widget )
{
    QButtonGroup* group = (QButtonGroup*)widget->GetWidget();
    
    group->setTitle( itsTitle->text() );
    
    int alignment = AlignLeft;	// default

    if( isTitleCenter->isChecked() )
    {
	alignment = AlignHCenter;
    }
    else if( isTitleRight->isChecked() )
    {
	alignment = AlignRight;
    }

    group->setAlignment( alignment );

    group->setExclusive( isExclusive->isChecked() );
    group->setRadioButtonExclusive( isRadioButtonExclusive->isChecked() );
}

