/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DlgHButtonGroup.cpp,v 2.5 2000/04/29 20:15:51 klaus Exp $

*******************************************************************************/


#include "widget/DlgHButtonGroup.h"

#include "prop/ButtonGroupPage.h"

#include "GuiTools.h"

#include "xml/QtArchExpat.h"
#include "xml/QtArchGenerator.h"

#define Inherited DlgButtonGroup

QStrList DlgHButtonGroup::itsSignals;
int DlgHButtonGroup::itsNextWidgetNum = 1;

DlgHButtonGroup::DlgHButtonGroup() :
    Inherited( DlgWidget::DW_HButtonGroup ),
    mySpacing( 5 )
{
}


DlgHButtonGroup::DlgHButtonGroup(
    DlgWidget::Type	theType
    ) :
    Inherited( theType ),
    mySpacing( 5 )
{
}


DlgHButtonGroup::~DlgHButtonGroup()
{
}

void DlgHButtonGroup::Save( QtArchGenerator &generator )
{
  generator.WriteStartBlock( "HButtonGroup" );

  Inherited::Save( generator );

  generator.WriteEndBlock();
}

void DlgHButtonGroup::RestoreXML( const XMLValue &value )
{
  // Sanity check
  if( value.GetTypeString() != "HButtonGroup" )
    return;

  const XMLValueMap map = value.AsNested();

  // Create if necessary
  if( ! GetHButtonGroup() )
  {
    CreateQtWidget( 0 );
  }
  
  // We inherit from 
	Inherited::RestoreXML( map["ButtonGroup"] );

}


void DlgHButtonGroup::CreateQtWidget(
    const char*	theName
    )
{
    QHButtonGroup* widget = 
	new QHButtonGroup( GetParent(),
                   CreateName( "HButtonGroup", 
                               theName, 
                               itsNextWidgetNum ) );
    
    SetQtWidget( widget );
}
