/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: DlgHGroupBox.cpp,v 2.1 2000/04/30 17:09:47 jeff Exp $

*******************************************************************************/


#include "widget/DlgHGroupBox.h"

#include "prop/ButtonGroupPage.h"

#include "GuiTools.h"

#include "xml/QtArchExpat.h"
#include "xml/QtArchGenerator.h"

#define Inherited DlgGroupBox

QStrList DlgHGroupBox::itsSignals;
int DlgHGroupBox::itsNextWidgetNum = 1;

DlgHGroupBox::DlgHGroupBox() :
    Inherited( DlgWidget::DW_HGroupBox )
{
}


DlgHGroupBox::DlgHGroupBox(
    DlgWidget::Type	theType
    ) :
    Inherited( theType )
{
}


DlgHGroupBox::~DlgHGroupBox()
{
}

void DlgHGroupBox::Save( QtArchGenerator &generator )
{
  generator.WriteStartBlock( "HGroupBox" );

  Inherited::Save( generator );

  generator.WriteEndBlock();
}

void DlgHGroupBox::RestoreXML( const XMLValue &value )
{
    // Sanity check
    if( value.GetTypeString() != "HGroupBox" )
        return;

    const XMLValueMap map = value.AsNested();

    // Create if necessary
    if( ! GetHGroupBox() )
    {
        CreateQtWidget( 0 );
    }
  
    // We inherit from 
    Inherited::RestoreXML( map["GroupBox"] );

}


void DlgHGroupBox::CreateQtWidget(
    const char*	theName
    )
{
    QHGroupBox* widget = 
	new QHGroupBox( GetParent(),
                   CreateName( "HGroupBox", 
                               theName, 
                               itsNextWidgetNum ) );
    
    SetQtWidget( widget );
}
